Quakerish_First_Introduction=false
RipanWinkle_First_Introduction_Triggered=false
function onTalk()
    --一些基础设置
    disableMovement()
    local dialog_choice=1
    --获取是否第一次与其对话
    Quakerish_First_Introduction=getFlag("Quakerish_First_Introduction")
    if Quakerish_First_Introduction==false then 
        setFlag("Quakerish_First_Introduction",true)
        say("Quakerish_Introduction")

    --如果不是第一次对话，则出现对话选择项
    else
        RipanWinkle_First_Introduction_Triggered=getFlag("RipanWinkle_First_Introduction_Triggered")
        --如果还没有遇到过RipanWinkle
        if RipanWinkle_First_Introduction_Triggered==false then
            dialog_choice=choice("Quakerish_UI_1","Quakerish_UI_2","Quakerish_UI_4")
            if dialog_choice==1 then
                say("Quakerish_Introduction")
            elseif dialog_choice==2 then
                say("Quakerish_Review")
            end
        --如果已经遇到过RipanWinkle
        else
            dialog_choice=choice("Quakerish_UI_1","Quakerish_UI_2","Quakerish_UI_3","Quakerish_UI_4")
            if dialog_choice==1 then
                say("Quakerish_Introduction")
            elseif dialog_choice==2 then
                say("Quakerish_Review")
            elseif dialog_choice==3 then
                say("Quakerish_Review_RipanWinkle")
            end
        end
    
    end

end

function onEnd()
    enableMovement()
end